<?php
/**
 * @package foobla template
 * @author foobla http://www.foobla.com
 * @copyright Copyright (c) 2010 - 2016 foobla
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or Later
 */

//no direct accees
defined( '_JEXEC' ) or die ( 'resticted aceess' );

jimport( 'joomla.plugin.plugin' );
jimport( 'joomla.event.plugin' );

class  plgSystemTeam_format extends JPlugin {

	protected $autoloadLanguage = true;


	function onContentPrepareForm( $form, $data ) {

		$doc = JFactory::getDocument();
		$plg_path = JURI::root(true) . '/plugins/system/team_format';
		JForm::addFormPath( JPATH_PLUGINS . '/system/team_format/params' );

		//Article Post format
		if ( $form->getName() == 'com_content.article' ) {
			/*JHtml::_( 'jquery.framework' );
			$doc->addStyleSheet( $plg_path . '/assets/css/font-awesome.min.css' );
			$doc->addScript( $plg_path . '/assets/js/post-formats.js' );*/

			JForm::addFormPath( JPATH_PLUGINS . '/system/team_format/params' );
			$form->loadFile( 'team-formats', false );
		}

	}
}